org.wildfly.swarm.microprofile.openapi.api.models

## Class ExternalDocumentationImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.ExternalDocumentationImpl

- All Implemented Interfaces:
    ModelImpl

      public class ExternalDocumentationImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `ExternalDocumentation` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalDocumentationImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExternalDocumentation` | `description(String description)`
    `String` | `getDescription()`
    `String` | `getUrl()`
    `void` | `setDescription(String description)`
    `void` | `setUrl(String url)`
    `ExternalDocumentation` | `url(String url)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalDocumentationImpl

          public ExternalDocumentationImpl()

  - ### Method Detail

    - #### getDescription

          public String getDescription()

      See Also:
        `org.eclipse.microprofile.openapi.models.ExternalDocumentation#getDescription()`

    - #### setDescription

          public void setDescription(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.ExternalDocumentation#setDescription(java.lang.String)`

    - #### description

          public ExternalDocumentation description(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.ExternalDocumentation#description(java.lang.String)`

    - #### getUrl

          public String getUrl()

      See Also:
        `org.eclipse.microprofile.openapi.models.ExternalDocumentation#getUrl()`

    - #### setUrl

          public void setUrl(String url)

      See Also:
        `org.eclipse.microprofile.openapi.models.ExternalDocumentation#setUrl(java.lang.String)`

    - #### url

          public ExternalDocumentation url(String url)

      See Also:
        `org.eclipse.microprofile.openapi.models.ExternalDocumentation#url(java.lang.String)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.